Authorization: ********************{
"returnChannel": {
"type": "<string>",
"address": "<string>"
},
"labelSettings": {
"format": "<string>",
"dpi": "<integer>",
"completeLabelSettings": {
"isCompleteLabelRequested": "<boolean>",
"pageSize": "<string>",
"position": "<integer>"
}
},
"shipments": [
{
"productType": "<string>",
"referenceId": "<string>",
"shipmentNumber": "<string>",
"note": "<string>",
"depot": "<string>",
"ageCheck": "<string>",
"integratorId": "<integer>",
"shipmentSet": {
"numberOfShipments": "<integer>",
"additionallyAdded": "<boolean>",
"shipmentSetItems": [
{
"shipmentNumber": "<string>",
"weighedShipmentInfo": {
"weight": "<double>"
},
"externalNumbers": [
{
"code": "<string>",
"externalNumber": "<string>"
},
{
"code": "<string>",
"externalNumber": "<string>"
}
],
"insurance": {
"insuranceCurrency": "<string>",
"insurancePrice": "<double>"
}
},
{
"shipmentNumber": "<string>",
"weighedShipmentInfo": {
"weight": "<double>"
},
"externalNumbers": [
{
"code": "<string>",
"externalNumber": "<string>"
},
{
"code": "<string>",
"externalNumber": "<string>"
}
],
"insurance": {
"insuranceCurrency": "<string>",
"insurancePrice": "<double>"
}
}
]
},
"backAddress": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"sender": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"senderMask": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"recipient": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"specificDelivery": {
"specificDeliveryDate": "<dateTime>",
"specificDeliveryTimeFrom": "<dateTime>",
"specificDeliveryTimeTo": "<dateTime>",
"specificTakeDate": "<dateTime>",
"parcelShopCode": "<string>"
},
"cashOnDelivery": {
"codCurrency": "<string>",
"codPrice": "<double>",
"codVarSym": "088919",
"iban": "<string>",
"swift": "<string>",
"specSymbol": "<string>",
"account": "<string>",
"accountPre": "<string>",
"bankCode": "<string>"
},
"insurance": {
"insuranceCurrency": "<string>",
"insurancePrice": "<double>"
},
"externalNumbers": [
{
"code": "<string>",
"externalNumber": "<string>"
},
{
"code": "<string>",
"externalNumber": "<string>"
}
],
"services": [
{
"code": "<string>"
},
{
"code": "<string>"
}
],
"dormant": {
"shipmentNumber": "<string>",
"note": "<string>",
"recipient": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"externalNumbers": [
{
"code": "<string>",
"externalNumber": "<string>"
},
{
"code": "<string>",
"externalNumber": "<string>"
}
],
"services": [
{
"code": "<string>"
},
{
"code": "<string>"
}
],
"shipmentRouting": {
"inputRouteCode": "28696"
},
"directInjection": {
"directAddressing": "<boolean>",
"gatewayZipCode": "<string>",
"gatewayCity": "<string>",
"country": "<string>"
},
"labelService": {
"labelless": "<boolean>"
}
}
],
"shipmentsOrderBy": "<string>"
}curl --location --request POST '/shipment/batch' \
--header 'Accept-Language;' \
--header 'X-Correlation-ID;' \
--header 'X-LogLevel;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"returnChannel": {
"type": "<string>",
"address": "<string>"
},
"labelSettings": {
"format": "<string>",
"dpi": "<integer>",
"completeLabelSettings": {
"isCompleteLabelRequested": "<boolean>",
"pageSize": "<string>",
"position": "<integer>"
}
},
"shipments": [
{
"productType": "<string>",
"referenceId": "<string>",
"shipmentNumber": "<string>",
"note": "<string>",
"depot": "<string>",
"ageCheck": "<string>",
"integratorId": "<integer>",
"shipmentSet": {
"numberOfShipments": "<integer>",
"additionallyAdded": "<boolean>",
"shipmentSetItems": [
{
"shipmentNumber": "<string>",
"weighedShipmentInfo": {
"weight": "<double>"
},
"externalNumbers": [
{
"code": "<string>",
"externalNumber": "<string>"
},
{
"code": "<string>",
"externalNumber": "<string>"
}
],
"insurance": {
"insuranceCurrency": "<string>",
"insurancePrice": "<double>"
}
},
{
"shipmentNumber": "<string>",
"weighedShipmentInfo": {
"weight": "<double>"
},
"externalNumbers": [
{
"code": "<string>",
"externalNumber": "<string>"
},
{
"code": "<string>",
"externalNumber": "<string>"
}
],
"insurance": {
"insuranceCurrency": "<string>",
"insurancePrice": "<double>"
}
}
]
},
"backAddress": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"sender": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"senderMask": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"recipient": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"specificDelivery": {
"specificDeliveryDate": "<dateTime>",
"specificDeliveryTimeFrom": "<dateTime>",
"specificDeliveryTimeTo": "<dateTime>",
"specificTakeDate": "<dateTime>",
"parcelShopCode": "<string>"
},
"cashOnDelivery": {
"codCurrency": "<string>",
"codPrice": "<double>",
"codVarSym": "088919",
"iban": "<string>",
"swift": "<string>",
"specSymbol": "<string>",
"account": "<string>",
"accountPre": "<string>",
"bankCode": "<string>"
},
"insurance": {
"insuranceCurrency": "<string>",
"insurancePrice": "<double>"
},
"externalNumbers": [
{
"code": "<string>",
"externalNumber": "<string>"
},
{
"code": "<string>",
"externalNumber": "<string>"
}
],
"services": [
{
"code": "<string>"
},
{
"code": "<string>"
}
],
"dormant": {
"shipmentNumber": "<string>",
"note": "<string>",
"recipient": {
"country": "<string>",
"zipCode": "<string>",
"name": "<string>",
"name2": "<string>",
"street": "<string>",
"city": "<string>",
"contact": "<string>",
"phone": "<string>",
"email": "<string>"
},
"externalNumbers": [
{
"code": "<string>",
"externalNumber": "<string>"
},
{
"code": "<string>",
"externalNumber": "<string>"
}
],
"services": [
{
"code": "<string>"
},
{
"code": "<string>"
}
],
"shipmentRouting": {
"inputRouteCode": "28696"
},
"directInjection": {
"directAddressing": "<boolean>",
"gatewayZipCode": "<string>",
"gatewayCity": "<string>",
"country": "<string>"
},
"labelService": {
"labelless": "<boolean>"
}
}
],
"shipmentsOrderBy": "<string>"
}'//Pokud metoda GET/shipment/batch volá více zásilek a vrátí se jí chyba v podobě statusu 400, je chybná zásilka zobrazena v errors, kdy pořadí zásilky určuje číslo v závorce [1] počítáno od 0.
{
"errors": {
"shipments[1].ProductType": [
"Invalid value"
]
},
"type": "https://asp.net/core",
"title": "One or more validation errors occurred.",
"status": 400,
"detail": "Please refer to the errors property for additional details.",
"instance": "/shipment/batch"
}